# 11/10/2008 - testing using class - object oriented stuff
use strict;
use warnings;
use Person; # see Person.pm
my ($him,@All_Recs);
$him = Person->new();   # constructor
$him->name("Jason");    # set 'name'
$him->age(23);          # 'age'
$him->peers( "Norbert", "Rhys", "Phineas" );    # and 'peers'
push @All_Recs, $him;  # save object in array for later
printf "%s is %d years old.\n", $him->name, $him->age;  # access name and age
print "His peers are: ", join(", ", $him->peers), "\n"; # show peers
printf "Last rec's name is %s\n", $All_Recs[-1]->name;

